@echo off

set version=0.3.3

echo set bin_version %version% > bin\binversion.tcl

set files=lib\calculator.tcl lib\cmdedit.tcl lib\disasm.tcl lib\utils.tcl
set files=%files% lib\fontreq.tcl lib\macros.tcl lib\main.tcl lib\pgceditor.tcl
set files=%files% lib\readdvd.tcl lib\srptinfo.tcl lib\streams.tcl
set files=%files% lib\stringreq.tcl lib\tk_menu_bugfix.tcl lib\toolscfg.tcl
set files=%files% lib\writedvd.tcl lib\winshellext.tcl lib\menubuttons.tcl
set files=%files% lib\data\blank_ntsc.vob lib\data\blank_pal.vob
set files=%files% lib\data\new_dvd_video_ts.ifo
set files=%files% lib\data\vmg_txtdt_mg_default.sec
set files=%files% lib\data\vmgm_pgci_ut_wo_vob.sec
set files=%files% COPYING.txt README.txt LISEZMOI.txt TODO.txt HISTORY.txt
set files=%files% bin\button_dump.exe bin\cygwin1.dll bin\binversion.tcl

echo PgcEdit version %version%

echo .
echo Making source zip archive...
del PgcEdit_source.zip
wzzip -a+ -P -ex PgcEdit_source.zip PgcEdit.tcl lib\PgcEdit.ico %files% wrap.cmd PgcEdit_project.prj

echo .
echo Making windoze executable...
echo freewrap.exe PgcEdit.tcl -i lib\PgcEdit.ico %files%
C:\Tcl\freeWrap\freeWrap561\freewrap.exe PgcEdit.tcl -i lib\PgcEdit.ico %files%

echo .
echo Making windoze executable archive...
del "PgcEdit_winexe.zip"
wzzip -a+ -P -ex "PgcEdit_winexe.zip" PgcEdit.exe

echo .
echo Copying source and executable on homepage image...
copy PgcEdit.exe "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit.exe"
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit_winexe.zip"
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit_source.zip"

echo .
echo Copying source and executable on homepage/versions image...
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\versions\PgcEdit_source_%version%.zip"
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\versions\PgcEdit_winexe_%version%.zip"

echo .
echo Copying text files on homepage image...
copy README.txt   "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"
copy LISEZMOI.txt "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"
copy HISTORY.txt  "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"

echo .
echo Backuping the sources...
copy PgcEdit_source.zip "D:\Down\ROL\Tcl-Tk\PGCEdit\PgcEdit_source_%version%.zip"
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\My Scripts\Tcl-Tk\PGCEdit\PgcEdit_source_%version%.zip"

echo .
echo Installing PgcEdit...
copy PgcEdit.exe "C:\program files\ifoedit\"
copy PgcEdit.exe "C:\Tcl\work\PGCEDIT\executables\PgcEdit_winexe_%version%.exe"

echo .
echo Done building PgcEdit %version%
pause
PgcEdit
